Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`interfaces`.`IDomain``

interface documentation

`class IDomain(Interface): (source)`

Known subclasses: `twisted.mail.interfaces.IAliasableDomain`

Known implementations: `twisted.mail.mail.BounceDomain`

View In Hierarchy

An interface for email domains.

Method | `addUser` | Add a user to this domain.
Method | `exists` | Check whether a user exists in this domain.
Method | `getCredentialsCheckers` | Return credentials checkers for this domain.

def addUser(user, password): (source)

Add a user to this domain.

Parameters
user:`bytes` | A username.
password:`bytes` | A password.

def exists(user): (source)
overridden in `twisted.mail.interfaces.IAliasableDomain`

Check whether a user exists in this domain.

Parameters
user:`User` | A user.
Returns
no-argument callable which returns `IMessageSMTP` provider | A function which takes no arguments and returns a message receiver for the user.
Raises
`SMTPBadRcpt` | When the given user does not exist in this domain.

def getCredentialsCheckers(): (source)

Return credentials checkers for this domain.

Returns
`list` of `ICredentialsChecker` provider | Credentials checkers for this domain.